Knowledgebase
What do I need to run Train Simulator 2019 32-Bit?
Posted by DTG Support DM on 11 October 2018 03:34 PM

Since Train Simulator was first released as RailWorks we have continued to improve the core game and introduce ever more detailed routes and locomotives.

With this in mind in order to run each and every item available with the performance intended you’ll need to meet our listed minimum requirements below.

Whilst you may be able to play and enjoy the game with a lower specification system, we cannot guarantee each and every route will be playable without significant performance issues.

Our minimum requirements for 32-bit Train Simulator 2019 are:

Operating System: 32-bit Windows 7 Service Pack 1, 8.1 or 10 Required (Other OS versions and types are not supported)
Processor: Intel Core-i3 4330 3.50 GHz Dual Core or AMD A8 6600K 3.90 GHz Quad Core or Better
Memory: 4 GB RAM
Graphics: NVIDIA GeForce GTX 750 Ti or AMD Radeon R9 Graphics with 1 GB Dedicated VRAM or Better
DirectX: 9.0c
Network: Broadband Connection (May incur additional costs for use)
Storage: 40 GB or more available space (Additional Add-Ons will require more)
Sound Card: DirectX Compatible Audio Device
Additional Notes: Requires mouse and keyboard or Xbox Controller

Our recommended requirements for 32-bit Train Simulator 2019 are:

Operating System: 32- or 64-bit Windows 7 Service Pack 1, 8.1 or 10 Required (Other OS versions and types are not supported)
Processor: Intel Core-i5 4690 3.50 GHz Quad Core or AMD Ryzen 7 1700 3.80 GHz Octa Core or Better
Memory: 4 GB RAM (maximum possible under 32-bit Windows)/16 GB or Better (For 64-bit Windows)
Graphics: NVIDIA GeForce GTX 970 or AMD Radeon RX 480 with 4 GB Dedicated VRAM or Better
DirectX: 9.0c
Network: Broadband Connection (May incur additional costs for use)
Storage: High-Performance SSD Recommended with 40 GB or more available space (Additional Add-Ons will require more)
Sound Card: DirectX Compatible Audio Device
Additional Notes: Requires mouse and keyboard or Xbox Controller

Laptop, Notebook, Mobile or Low Power versions of the above specifications (including Intel or Integrated Graphics) may work but are not supported. Updates to Chipset, Graphics and Audio Device Drivers may be required.